## Iptables systemd files for SuSe installations

These files allow iptables and ip6tables to be installed and run as a system service

## pre installation

edit the files in sysconfig to match your preffered iptables configuration.
the default allows ssh access (22/tcp) to the host only.

## Installation

- Install iptables
```
zypper install iptables iptables-nft-backend
```

- Clone this GIT repo : 
```
git clone https://git.xo.nl/marcel/iptables
```

- Copy the init files to /usr/libexec
```
cp libexec/*.init /usr/libexec
chown root:root /usr/libexec/ip?tables.init
chmod ug+x /usr/libexec/ip?tables.init
```

- Copy the systemd files to /etc/systemd/system
```
cp systemd/* /etc/systemd/system
systemctl daemon-reload
```

- Copy the default configuration to /etc/sysconfig
```
cp config/* /etc/sysconfig
```

- Enable iptables on next boot
```
systemctl enable iptables ip6tables
```

Reboot your host
